version: 3.0
artifacts:
  -
    description: Displays the command history of all pools.
    supported_os: [aix, freebsd, linux, macos, netbsd, netscaler, openbsd, solaris]
    collector: command
    command: zpool history
    output_file: zpool_history.txt
  -
    description: Lists all pools along with a health status and space usage.
    supported_os: [aix, freebsd, linux, macos, netbsd, netscaler, openbsd, solaris]
    collector: command
    command: zpool list -v
    output_file: zpool_list_-v.txt
  -
    description: Displays the detailed health status for all available pools.
    supported_os: [aix, freebsd, linux, macos, netbsd, netscaler, openbsd, solaris]
    collector: command
    command: zpool status -v
    output_file: zpool_status_-v.txt